Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ChangeMasterBrokerResultInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.ChangeMasterBrokerResultInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ChangeMasterBrokerResultInfo

extends java.lang.Object
implements java.io.Serializable

This class contains constants/names for fields in the CompositeData that is returned by the changeMasterBroker operation of the Cluster Monitor and Cluster Config MBeans.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DETAIL_MESSAGE` DetailMessage of any BrokerException thrown when performing this operation
`static java.lang.String` | `STATUS_CODE` StatusCode of any BrokerException thrown when performing this operation
`static java.lang.String` | `SUCCESS` Whether an BrokerException was thrown whilst performing this operation

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    public static final java.lang.String SUCCESS

  Whether an BrokerException was thrown whilst performing this operation

  See Also:
    Constant Field Values

### STATUS_CODE

    public static final java.lang.String STATUS_CODE

  StatusCode of any BrokerException thrown when performing this operation

  See Also:
    Constant Field Values

### DETAIL_MESSAGE

    public static final java.lang.String DETAIL_MESSAGE

  DetailMessage of any BrokerException thrown when performing this operation

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.